org.eclipse.microprofile.graphql.tck.apps.superhero.api

## Class FlawNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.graphql.tck.apps.superhero.api.WeaknessNotFoundException
        - - org.eclipse.microprofile.graphql.tck.apps.superhero.api.FlawNotFoundException

All Implemented Interfaces:
  Serializable

    public class FlawNotFoundException
    extends WeaknessNotFoundException

To test transitive white list exceptions

Author:
  Phillip Kruger (phillip.kruger@redhat.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FlawNotFoundException()`
`FlawNotFoundException(String string)`
`FlawNotFoundException(String string, Throwable thrwbl)`
`FlawNotFoundException(String string, Throwable thrwbl, boolean bln, boolean bln1)`
`FlawNotFoundException(Throwable thrwbl)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FlawNotFoundException

    public FlawNotFoundException()

#### FlawNotFoundException

    public FlawNotFoundException(String string)

#### FlawNotFoundException

    public FlawNotFoundException(String string,
                                 Throwable thrwbl)

#### FlawNotFoundException

    public FlawNotFoundException(Throwable thrwbl)

#### FlawNotFoundException

    public FlawNotFoundException(String string,
                                 Throwable thrwbl,
                                 boolean bln,
                                 boolean bln1)